Sazabi
APIScripts

Create a script

Create a durable bash script for a project.

POST https://api.sazabi.com/v1/scripts

POST
/scripts

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/scripts" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "content": "string"  }'
{  "script": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "name": "string",    "description": "string",    "configurationRevision": -9007199254740991,    "contentHash": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "content": "string"  }}